package ink.wgink.login.oauth2.server.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OauthClientDTO
 * @Description: 授权认证客户端
 * @Author: wenc
 * @Date: 2019/1/8 7:43 PM
 * @Version: 1.0
 **/
@ApiModel
public class OAuth2ClientDTO extends OAuth2ClientSimpleDTO {

    @ApiModelProperty(name = "resourceIds", value = "资源ID列表")
    private String resourceIds;
    @ApiModelProperty(name = "clientSecret", value = "客户端密码")
    private String clientSecret;
    @ApiModelProperty(name = "scope", value = "范围")
    private String scope;
    @ApiModelProperty(name = "authorizedGrantTypes", value = "授权类型")
    private String authorizedGrantTypes;
    @ApiModelProperty(name = "authorities", value = "权限")
    private String authorities;
    @ApiModelProperty(name = "accessTokenValidity", value = "访问令牌时效")
    private Integer accessTokenValidity;
    @ApiModelProperty(name = "refreshTokenValidity", value = "刷新令牌时效")
    private Integer refreshTokenValidity;
    @ApiModelProperty(name = "additionalInformation", value = "附加信息")
    private String additionalInformation;
    @ApiModelProperty(name = "autoapprove", value = "自动授权")
    private String autoapprove;
    @ApiModelProperty(name = "menuId", value = "菜单ID")
    private String menuId;
    @ApiModelProperty(name = "menuName", value = "菜单名称")
    private String menuName;
    @ApiModelProperty(name = "systemType", value = "系统类型")
    private String systemType;
    @ApiModelProperty(name = "systemState", value = "系统状态")
    private String systemState;
    @ApiModelProperty(name = "expireTime", value = "系统到期时间")
    private String expireTime;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "sort", value = "排序")
    private Double sort;

    public String getResourceIds() {
        return resourceIds == null ? "" : resourceIds.trim();
    }

    public void setResourceIds(String resourceIds) {
        this.resourceIds = resourceIds;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getAuthorizedGrantTypes() {
        return authorizedGrantTypes == null ? "" : authorizedGrantTypes.trim();
    }

    public void setAuthorizedGrantTypes(String authorizedGrantTypes) {
        this.authorizedGrantTypes = authorizedGrantTypes;
    }

    public String getAuthorities() {
        return authorities == null ? "" : authorities.trim();
    }

    public void setAuthorities(String authorities) {
        this.authorities = authorities;
    }

    public Integer getAccessTokenValidity() {
        return accessTokenValidity;
    }

    public void setAccessTokenValidity(Integer accessTokenValidity) {
        this.accessTokenValidity = accessTokenValidity;
    }

    public Integer getRefreshTokenValidity() {
        return refreshTokenValidity;
    }

    public void setRefreshTokenValidity(Integer refreshTokenValidity) {
        this.refreshTokenValidity = refreshTokenValidity;
    }

    public String getAdditionalInformation() {
        return additionalInformation == null ? "" : additionalInformation.trim();
    }

    public void setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
    }

    public String getAutoapprove() {
        return autoapprove == null ? "" : autoapprove.trim();
    }

    public void setAutoapprove(String autoapprove) {
        this.autoapprove = autoapprove;
    }

    public String getMenuId() {
        return menuId == null ? "" : menuId.trim();
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName == null ? "" : menuName.trim();
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getSystemType() {
        return systemType == null ? "" : systemType.trim();
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getSystemState() {
        return systemState == null ? "" : systemState.trim();
    }

    public void setSystemState(String systemState) {
        this.systemState = systemState;
    }

    public String getExpireTime() {
        return expireTime == null ? "" : expireTime.trim();
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    @Override
    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    @Override
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Double getSort() {
        return sort == null ? 0 : sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }
    
}
